| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::Odometry Class Reference

`#include <opencv2/3d/odometry.hpp>`

Collaboration diagram for cv::Odometry:

## Public Member Functions
| Odometry ()
| Odometry (OdometryType otype)
| Odometry (OdometryType otype, const OdometrySettings &settings, OdometryAlgoType algtype)
| ~Odometry ()
bool | compute (const OdometryFrame &srcFrame, const OdometryFrame &dstFrame, OutputArray Rt) const
bool | compute (InputArray srcDepth, InputArray dstDepth, OutputArray Rt) const
| Compute Rigid Transformation between two frames so that Rt * src = dst.
bool | compute (InputArray srcDepth, InputArray srcRGB, InputArray dstDepth, InputArray dstRGB, OutputArray Rt) const
| Compute Rigid Transformation between two frames so that Rt * src = dst.
Ptr< RgbdNormals > | getNormalsComputer () const
| Get the normals computer object used for normals calculation (if presented). The normals computer is generated at first need during prepareFrame when normals are required for the ICP algorithm but not presented by a user. Re-generated each time the related settings change or a new frame arrives with the different size.
void | prepareFrame (OdometryFrame &frame) const
void | prepareFrames (OdometryFrame &srcFrame, OdometryFrame &dstFrame) const

## Constructor & Destructor Documentation

## ◆ Odometry() [1/3]

cv::Odometry::Odometry | ( |  | ) |

Python:
| cv.Odometry( |  | ) -> | <Odometry object>
| cv.Odometry( | otype | ) -> | <Odometry object>
| cv.Odometry( | otype, settings, algtype | ) -> | <Odometry object>

## ◆ Odometry() [2/3]

cv::Odometry::Odometry | ( | OdometryType | otype | ) |
| explicit

Python:
| cv.Odometry( |  | ) -> | <Odometry object>
| cv.Odometry( | otype | ) -> | <Odometry object>
| cv.Odometry( | otype, settings, algtype | ) -> | <Odometry object>

## ◆ Odometry() [3/3]

cv::Odometry::Odometry | ( | OdometryType | otype,
|  | const OdometrySettings & | settings,
|  | OdometryAlgoType | algtype )

Python:
| cv.Odometry( |  | ) -> | <Odometry object>
| cv.Odometry( | otype | ) -> | <Odometry object>
| cv.Odometry( | otype, settings, algtype | ) -> | <Odometry object>

## ◆ ~Odometry()

cv::Odometry::~Odometry | ( |  | ) |

## Member Function Documentation

## ◆ compute() [1/3]

bool cv::Odometry::compute | ( | const OdometryFrame & | srcFrame,
|  | const OdometryFrame & | dstFrame,
|  | OutputArray | Rt ) const

Python:
| cv.Odometry.compute( | srcFrame, dstFrame[, Rt] | ) -> | retval, Rt
| cv.Odometry.compute( | srcDepth, dstDepth[, Rt] | ) -> | retval, Rt
| cv.Odometry.compute( | srcDepth, srcRGB, dstDepth, dstRGB[, Rt] | ) -> | retval, Rt

Compute Rigid Transformation between two frames so that Rt * src = dst Both frames, source and destination, should have been prepared by calling prepareFrame() first

Parameters

  srcFrame | src frame ("original" image)
  dstFrame | dst frame ("rotated" image)
  Rt | Rigid transformation, which will be calculated, in form: { R_11 R_12 R_13 t_1 R_21 R_22 R_23 t_2 R_31 R_32 R_33 t_3 0 0 0 1 }

Returns
  true on success, false if failed to find the transformation

## ◆ compute() [2/3]

bool cv::Odometry::compute | ( | InputArray | srcDepth,
|  | InputArray | dstDepth,
|  | OutputArray | Rt ) const

Python:
| cv.Odometry.compute( | srcFrame, dstFrame[, Rt] | ) -> | retval, Rt
| cv.Odometry.compute( | srcDepth, dstDepth[, Rt] | ) -> | retval, Rt
| cv.Odometry.compute( | srcDepth, srcRGB, dstDepth, dstRGB[, Rt] | ) -> | retval, Rt

Compute Rigid Transformation between two frames so that Rt * src = dst.

Parameters

  srcDepth | source depth ("original" image)
  dstDepth | destination depth ("rotated" image)
  Rt | Rigid transformation, which will be calculated, in form: { R_11 R_12 R_13 t_1 R_21 R_22 R_23 t_2 R_31 R_32 R_33 t_3 0 0 0 1 }

Returns
  true on success, false if failed to find the transformation

## ◆ compute() [3/3]

bool cv::Odometry::compute | ( | InputArray | srcDepth,
|  | InputArray | srcRGB,
|  | InputArray | dstDepth,
|  | InputArray | dstRGB,
|  | OutputArray | Rt ) const

Python:
| cv.Odometry.compute( | srcFrame, dstFrame[, Rt] | ) -> | retval, Rt
| cv.Odometry.compute( | srcDepth, dstDepth[, Rt] | ) -> | retval, Rt
| cv.Odometry.compute( | srcDepth, srcRGB, dstDepth, dstRGB[, Rt] | ) -> | retval, Rt

Compute Rigid Transformation between two frames so that Rt * src = dst.

Parameters

  srcDepth | source depth ("original" image)
  srcRGB | source RGB
  dstDepth | destination depth ("rotated" image)
  dstRGB | destination RGB
  Rt | Rigid transformation, which will be calculated, in form: { R_11 R_12 R_13 t_1 R_21 R_22 R_23 t_2 R_31 R_32 R_33 t_3 0 0 0 1 }

Returns
  true on success, false if failed to find the transformation

## ◆ getNormalsComputer()

Ptr< RgbdNormals > cv::Odometry::getNormalsComputer | ( |  | ) | const

Python:
| cv.Odometry.getNormalsComputer( |  | ) -> | retval

Get the normals computer object used for normals calculation (if presented). The normals computer is generated at first need during prepareFrame when normals are required for the ICP algorithm but not presented by a user. Re-generated each time the related settings change or a new frame arrives with the different size.

## ◆ prepareFrame()

void cv::Odometry::prepareFrame | ( | OdometryFrame & | frame | ) | const

Python:
| cv.Odometry.prepareFrame( | frame | ) -> | None

Prepare frame for odometry calculation

Parameters

  frame | odometry prepare this frame as src frame and dst frame simultaneously

## ◆ prepareFrames()

void cv::Odometry::prepareFrames | ( | OdometryFrame & | srcFrame,
|  | OdometryFrame & | dstFrame ) const

Python:
| cv.Odometry.prepareFrames( | srcFrame, dstFrame | ) -> | None

Prepare frame for odometry calculation

Parameters

  srcFrame | frame will be prepared as src frame ("original" image)
  dstFrame | frame will be prepared as dsr frame ("rotated" image)

The documentation for this class was generated from the following file:

- opencv2/3d/odometry.hpp